import { State, Collection, DefaultItem, StateKey } from "../internal";
export declare class Item<DataType = DefaultItem> extends State<DataType> {
    private collection;
    /**
     * @public
     * Item of Collection
     * @param collection - Collection to which the Item belongs
     * @param data - Data that the Item holds
     */
    constructor(collection: Collection, data: DataType);
    /**
     * @public
     * Set Key/Name of Item
     */
    set key(value: StateKey | undefined);
    /**
     * @public
     * Get Key/Name of Item
     */
    get key(): StateKey | undefined;
}
