import { Agile, Integration } from "../internal";
export declare class Integrations {
    agileInstance: () => Agile;
    integrations: Set<Integration>;
    /**
     * @internal
     * Integrations - Manages Integrations of Agile
     * @param agileInstance - An Instance of Agile
     */
    constructor(agileInstance: Agile);
    /**
     * @internal
     * Integrates Framework (Integration) into Agile
     * @param integration - Integration that gets registered/integrated
     */
    integrate(integration: Integration): Promise<void>;
    /**
     * @internal
     * Updates Integrations
     * -> calls 'updateMethod' in registered Integrations
     * @param componentInstance - Component that gets updated
     * @param updatedData - Updated Properties with new Value (Note: properties with no value won't get passed)
     */
    update(componentInstance: any, updatedData: Object): void;
    /**
     * @internal
     * Checks if Agile has registered any Integration
     */
    hasIntegration(): boolean;
}
