import { Observer } from "../internal";
export declare class Job<ObserverType extends Observer = Observer> {
    observer: ObserverType;
    config: JobConfigInterface;
    rerender: boolean;
    performed: boolean;
    /**
     * @internal
     * Job - Holds Observer and gets executed/performed by Runtime
     * @param observer - Observer that is represented by this Job and gets performed
     * @param config - Config
     */
    constructor(observer: ObserverType, config: JobConfigInterface);
}
/**
 * @param background - If Job gets executed in the background -> not causing any rerender
 * @param sideEffects - If SideEffects gets performed
 * @param perform - If Job gets performed immediately
 * @param storage - If Job value gets saved in Storage
 */
export interface JobConfigInterface {
    background?: boolean;
    sideEffects?: boolean;
    perform?: boolean;
    storage?: boolean;
}
