"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Job = void 0;
const internal_1 = require("../internal");
class Job {
    /**
     * @internal
     * Job - Holds Observer and gets executed/performed by Runtime
     * @param observer - Observer that is represented by this Job and gets performed
     * @param config - Config
     */
    constructor(observer, config) {
        this.performed = false; // If Job has been performed by Runtime
        this.config = internal_1.defineConfig(config, {
            background: false,
            sideEffects: true,
            forceRerender: false,
            storage: true,
        });
        this.config = config;
        this.observer = observer;
        this.rerender =
            !config.background &&
                this.observer.agileInstance().integrations.hasIntegration();
    }
}
exports.Job = Job;
