import { Observer } from "../../../internal";
export declare class SubscriptionContainer {
    ready: boolean;
    subs: Set<Observer>;
    isObjectBased: boolean;
    changedObjectKeys: Array<string>;
    subsObject?: {
        [key: string]: Observer;
    };
    /**
     * @internal
     * SubscriptionContainer - Represents Component/(Way to rerender Component) that is subscribed by Observer/s (Agile)
     * -> Used to cause rerender on Component
     * @param subs - Initial Subscriptions
     */
    constructor(subs?: Set<Observer>);
}
