"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionContainer = void 0;
class SubscriptionContainer {
    /**
     * @internal
     * SubscriptionContainer - Represents Component/(Way to rerender Component) that is subscribed by Observer/s (Agile)
     * -> Used to cause rerender on Component
     * @param subs - Initial Subscriptions
     */
    constructor(subs) {
        this.ready = false;
        this.subs = new Set([]); // Observers that are Subscribed to this SubscriptionContainer (Component)
        // For Object based Subscription
        this.isObjectBased = false;
        this.changedObjectKeys = []; // Holds temporary changed Object Keys (Runtime)
        if (subs)
            this.subs = subs;
    }
}
exports.SubscriptionContainer = SubscriptionContainer;
